---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libthreadstart02.dylib'
relocations:
  - { offsetInCU: 0x46, offset: 0x46, size: 0x8, addend: 0x0, symName: __Z14TranslateStatei, symObjAddr: 0x6B0, symBinAddr: 0x17B0, symSize: 0x320 }
  - { offsetInCU: 0x71, offset: 0x71, size: 0x8, addend: 0x0, symName: __ZZ14TranslateStateiE3str, symObjAddr: 0x23860, symBinAddr: 0x8050, symSize: 0x0 }
  - { offsetInCU: 0xB0, offset: 0xB0, size: 0x8, addend: 0x0, symName: __ZL12agent_thread, symObjAddr: 0x239B0, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0xF3, offset: 0xF3, size: 0x8, addend: 0x0, symName: __ZL19debug_agent_started, symObjAddr: 0x239B8, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0x123, offset: 0x123, size: 0x8, addend: 0x0, symName: __ZL16agent_start_lock, symObjAddr: 0x239C0, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x152, offset: 0x152, size: 0x8, addend: 0x0, symName: __ZL14thr_event_lock, symObjAddr: 0x239C8, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x16B, offset: 0x16B, size: 0x8, addend: 0x0, symName: __ZL3inf, symObjAddr: 0x239D0, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x1FF, offset: 0x1FF, size: 0x8, addend: 0x0, symName: __ZL11eventsCount, symObjAddr: 0x239F0, symBinAddr: 0x81C0, symSize: 0x0 }
  - { offsetInCU: 0x21D, offset: 0x21D, size: 0x8, addend: 0x0, symName: __ZL14thr_start_lock, symObjAddr: 0x239F8, symBinAddr: 0x81C8, symSize: 0x0 }
  - { offsetInCU: 0x236, offset: 0x236, size: 0x8, addend: 0x0, symName: __ZL15thr_resume_lock, symObjAddr: 0x23A00, symBinAddr: 0x81D0, symSize: 0x0 }
  - { offsetInCU: 0x24F, offset: 0x24F, size: 0x8, addend: 0x0, symName: __ZL11next_thread, symObjAddr: 0x23A08, symBinAddr: 0x81D8, symSize: 0x0 }
  - { offsetInCU: 0x268, offset: 0x268, size: 0x8, addend: 0x0, symName: __ZL21debug_agent_timed_out, symObjAddr: 0x23A10, symBinAddr: 0x81E0, symSize: 0x0 }
  - { offsetInCU: 0x281, offset: 0x281, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x23A14, symBinAddr: 0x81E4, symSize: 0x0 }
  - { offsetInCU: 0x29F, offset: 0x29F, size: 0x8, addend: 0x0, symName: __ZL21terminate_debug_agent, symObjAddr: 0x23A18, symBinAddr: 0x81E8, symSize: 0x0 }
  - { offsetInCU: 0x2B8, offset: 0x2B8, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x23A20, symBinAddr: 0x81F0, symSize: 0x0 }
  - { offsetInCU: 0x8E44, offset: 0x8E44, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x23A28, symBinAddr: 0x81F8, symSize: 0x0 }
  - { offsetInCU: 0x8E5D, offset: 0x8E5D, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x23A38, symBinAddr: 0x8208, symSize: 0x0 }
  - { offsetInCU: 0x8EEE, offset: 0x8EEE, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x1AD0, symSize: 0x30 }
  - { offsetInCU: 0x93F9, offset: 0x93F9, size: 0x8, addend: 0x0, symName: _ThreadStart, symObjAddr: 0xE90, symBinAddr: 0x1B00, symSize: 0x6A0 }
  - { offsetInCU: 0xA0D7, offset: 0xA0D7, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0x1530, symBinAddr: 0x21A0, symSize: 0x70 }
  - { offsetInCU: 0xA260, offset: 0xA260, size: 0x8, addend: 0x0, symName: _VMInit, symObjAddr: 0x15A0, symBinAddr: 0x2210, symSize: 0x320 }
  - { offsetInCU: 0xA84F, offset: 0xA84F, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x18C0, symBinAddr: 0x2530, symSize: 0xB0 }
  - { offsetInCU: 0xA96E, offset: 0xA96E, size: 0x8, addend: 0x0, symName: __ZL11debug_agentP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x1970, symBinAddr: 0x25E0, symSize: 0x620 }
  - { offsetInCU: 0xB58E, offset: 0xB58E, size: 0x8, addend: 0x0, symName: _VMDeath, symObjAddr: 0x1F90, symBinAddr: 0x2C00, symSize: 0x30 }
  - { offsetInCU: 0xB6C4, offset: 0xB6C4, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x1FC0, symBinAddr: 0x2C30, symSize: 0x280 }
  - { offsetInCU: 0xBB08, offset: 0xBB08, size: 0x8, addend: 0x0, symName: _Java_threadstart02_check, symObjAddr: 0x2240, symBinAddr: 0x2EB0, symSize: 0x60 }
  - { offsetInCU: 0xBB5D, offset: 0xBB5D, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x22A0, symBinAddr: 0x2F10, symSize: 0x10 }
  - { offsetInCU: 0xBBB7, offset: 0xBBB7, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x22B0, symBinAddr: 0x2F20, symSize: 0x10 }
...
